{ config
, lib
, pkgs
, modulesPath
, system
, inputs
, ...
}: {
  services.netdata = {
    enable = true;
    package = pkgs.netdata;
    python = {
      enable = true;

      extraPackages = ps: [
        ps.psycopg2
        ps.docker
        ps.dnspython
      ];
    };

    configDir = {
      "stream.conf" = pkgs.writeText "stream.conf" ''
        [stream]
        enabled = yes
        api key = 31de92c9-d863-4c39-af37-72a5c6e0796b
        destination = 100.64.0.13:19999
      '';
    };
    config = {
      global = {
        "page cache size" = 32;

        # update interval
        "update every" = 2;
      };
      db = {
        # relatively minimal storage conf, as replicate target should save most of the history
        "update every" = 2;
        "storage tiers" = 3;
        "dbengine multihost disk space MB" = 256;
        "dbengine tier 1 multihost disk space MB" = 256;
        "dbengine tier 2 multihost disk space MB" = 256;
        "cleanup obsolete charts after secs" = 600;
      };
      plugins = {
        "go.d" = "yes";
      };
      web = {
        "mode" = "none";
      };
      ml = {
        # disable machine learning, can happen on repl target
        "enabled" = "no";
      };
    };
  };
}
